Share via


Plant Tissue Analyses - List By Farmer Id

Returns a paginated list of plant tissue analysis resources under a particular farmer.

GET /farmers/{farmerId}/plant-tissue-analyses?api-version=2021-07-31-preview
GET /farmers/{farmerId}/plant-tissue-analyses?seasonIds={seasonIds}&cropIds={cropIds}&cropVarietiesIds={cropVarietiesIds}&fieldIds={fieldIds}&ids={ids}&names={names}&propertyFilters={propertyFilters}&statuses={statuses}&minCreatedDateTime={minCreatedDateTime}&maxCreatedDateTime={maxCreatedDateTime}&minLastModifiedDateTime={minLastModifiedDateTime}&maxLastModifiedDateTime={maxLastModifiedDateTime}&$maxPageSize={$maxPageSize}&$skipToken={$skipToken}&api-version=2021-07-31-preview

URI Parameters

Name In Required Type Description
farmerId
path True

string

Id of the associated farmer.

api-version
query True

string

The requested API version

$maxPageSize
query

integer (int32)

minimum: 10
maximum: 1000

Maximum number of items needed (inclusive). Minimum = 10, Maximum = 1000, Default value = 50.

$skipToken
query

string

Skip token for getting next set of results.

cropIds
query

string[]

Crop ids of the plant tissue analyses.

cropVarietiesIds
query

string[]

Crop varieties ids of the plant tissue analyses.

fieldIds
query

string[]

Field ids of the plant tissue analyses.

ids
query

string[]

Ids of the resource.

maxCreatedDateTime
query

string (date-time)

Maximum creation date of resource (inclusive).

maxLastModifiedDateTime
query

string (date-time)

Maximum last modified date of resource (inclusive).

minCreatedDateTime
query

string (date-time)

Minimum creation date of resource (inclusive).

minLastModifiedDateTime
query

string (date-time)

Minimum last modified date of resource (inclusive).

names
query

string[]

Names of the resource.

propertyFilters
query

string[]

Filters on key-value pairs within the Properties object. eg. "{testKey} eq {testValue}".

seasonIds
query

string[]

Season ids of the plant tissue analyses.

statuses
query

string[]

Statuses of the resource.

Request Header

Name Required Type Description
Authorization True

string

Please provide a valid bearer token for authorized API calls. Note that you might need to clear your browser cache if you tried un-authenticated calls before.

Responses

Name Type Description
200 OK

PlantTissueAnalysisListResponse

Success

Other Status Codes

ErrorResponse

Error

Headers

x-ms-error-code: string

Security

Authorization

Please provide a valid bearer token for authorized API calls. Note that you might need to clear your browser cache if you tried un-authenticated calls before.

Type: apiKey
In: header

Examples

PlantTissueAnalyses_ListByFarmerId

Sample request

GET /farmers/FARMER123/plant-tissue-analyses?api-version=2021-07-31-preview

Sample response

{
  "value": [
    {
      "farmerId": "FARMER123",
      "id": "PLANTTISSUEANALYSIS123",
      "seasonId": "Season123",
      "cropId": "Crop123",
      "cropVarietyId": "CropVariety123",
      "fieldId": "Field123",
      "plantingDateTime": "2021-04-21T06:49:30Z",
      "plantPart": "PlantPart",
      "plantPosition": "PlantPosition",
      "plantAppearance": "PlantAppearance",
      "sampleCollectionCondition": "SampleCollectionCondition",
      "sampleCollectionDateTime": "2021-04-21T06:49:30Z",
      "sampleReceivedDateTime": "2021-04-22T06:49:30Z",
      "sampleTestResultDateTime": "2021-04-23T06:49:30Z",
      "labDetails": {
        "code": "LabId",
        "name": "Name",
        "address": "Address",
        "description": "Description of the object being created"
      },
      "name": "John Smith's ManagementZone",
      "status": "Active",
      "description": "Some description",
      "properties": {
        "Irrigated": "Yes"
      },
      "createdDateTime": "2021-04-21T06:49:30Z",
      "modifiedDateTime": "2021-04-21T06:49:30Z",
      "eTag": "0f8fad5b-d9cb-469f-a165-70867728950e",
      "attachmentsLink": "https://<resource-name>.farmbeats.azure.net/farmer/{{farmerId}}/attachments?api-version={{apiVersion}}&resourceIds={{plantTissueAnalysisId}}&resourceTypes=PlantTissueAnalysis"
    }
  ],
  "$skipToken": "string",
  "nextLink": "https://{{resourceName}}.farmbeats.azure.net/farmers/{{farmerId}}/plant-tissue-analyses?api-version={{apiVersion}}&$skipToken=%5b%7b%22token%22%3a%22%2bRID%3a%7e23TRC%3a10%23ISA%3d%22%2c%22range%22%3a%7b%22min%22%3a%22%22%2c%22max%22%3a%22FF%22%7d%7d%5d"
}

Definitions

Name Description
Error

An error from the Azure AgPlatform service.

ErrorResponse

An error response from the Azure AgPlatform service. <see href="https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses">ErrorResponse reference document.</see>.

InnerError

Inner error containing list of errors. <see href="https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object">InnerError reference document</see>.

LabDetails

Model for representing LabDetails object.

PlantTissueAnalysis

Api Model for plant tissue analysis object.

PlantTissueAnalysisListResponse

Paged response contains list of requested objects and a URL link to get the next set of results.

Error

An error from the Azure AgPlatform service.

Name Type Description
code

string

Server-defined set of error codes.

details

Error[]

Array of details about specific errors that led to this reported error.

innererror

InnerError

Inner error containing list of errors. <see href="https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object">InnerError reference document</see>.

message

string

Human-readable representation of the error.

target

string

Target of the error.

ErrorResponse

An error response from the Azure AgPlatform service. <see href="https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses">ErrorResponse reference document.</see>.

Name Type Description
error

Error

An error from the Azure AgPlatform service.

traceId

string

Unique trace Id.

InnerError

Inner error containing list of errors. <see href="https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object">InnerError reference document</see>.

Name Type Description
code

string

Specific error code than was provided by the containing error.

innererror

InnerError

Inner error containing list of errors. <see href="https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object">InnerError reference document</see>.

LabDetails

Model for representing LabDetails object.

Name Type Description
address

string

minLength: 0
maxLength: 500

Address of the resource.

code

string

minLength: 0
maxLength: 150

Code of the resource.

description

string

minLength: 0
maxLength: 500

Description of the resource.

name

string

minLength: 0
maxLength: 100

Name of the resource.

PlantTissueAnalysis

Api Model for plant tissue analysis object.

Name Type Description
attachmentsLink

string

Link for attachments.

createdDateTime

string (date-time)

Date-time when resource was created, sample format: yyyy-MM-ddTHH:mm:ssZ.

cropId

string

Id of the associated Crop.

cropVarietyId

string

Id of the associated Crop variety.

description

string

minLength: 0
maxLength: 500

Textual description of the resource.

eTag

string

The ETag value to implement optimistic concurrency.

farmerId

string

Id of the associated Farmer.

fieldId

string

Id of the associated Field.

growthStage

string

minLength: 0
maxLength: 200

Growth stage for this plant tissue analysis.

id

string

Unique resource ID.

labDetails

LabDetails

Model for representing LabDetails object.

modifiedDateTime

string (date-time)

Date-time when resource was last modified, sample format: yyyy-MM-ddTHH:mm:ssZ.

name

string

minLength: 0
maxLength: 100

Name to identify resource.

plantAppearance

string

minLength: 0
maxLength: 500

Plant appearance for this plant tissue analysis.

plantPart

string

minLength: 0
maxLength: 200

Plant part for this plant tissue analysis.

plantPosition

string

minLength: 0
maxLength: 200

Plant position for this plant tissue analysis.

plantingDateTime

string (date-time)

Planting datetime for this plant tissue analysis.

properties

A collection of key value pairs that belongs to the resource. Each pair must not have a key greater than 50 characters and must not have a value greater than 150 characters. Note: A maximum of 25 key value pairs can be provided for a resource and only string, numeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.

sampleCollectionCondition

string

minLength: 0
maxLength: 500

Sample collection condition for this plant tissue analysis.

sampleCollectionDateTime

string (date-time)

Sample collection dateTime for this plant tissue analysis.

sampleReceivedDateTime

string (date-time)

Sample received dateTime.

sampleTestResultDateTime

string (date-time)

Sample test result dateTime for this plant tissue analysis.

seasonId

string

Id of the associated Season.

source

string

minLength: 2
maxLength: 100

Source of the resource.

status

string

minLength: 0
maxLength: 100

Status of the resource.

PlantTissueAnalysisListResponse

Paged response contains list of requested objects and a URL link to get the next set of results.

Name Type Description
$skipToken

string

Token used in retrieving the next page. If null, there are no additional pages.

nextLink

string

Continuation link (absolute URI) to the next page of results in the list.

value

PlantTissueAnalysis[]

List of requested objects.